SELECT
 ncd_person_ncd_screen.pid,
 person.fname,
 person.lname,
 CONCAT(DATE_FORMAT(ncd_person_ncd_screen.screen_date,'%d/%m/'),DATE_FORMAT(ncd_person_ncd_screen.screen_date,'%Y')+543) AS วันที่คัดกรอง,
 CONCAT(DATE_FORMAT(persondeath.deaddate,'%d/%m/'),DATE_FORMAT(persondeath.deaddate,'%Y')+543) AS วันที่เสียชีวิต,
person.dischargetype as 'สถานะ'
 FROM person
 INNER JOIN ncd_person_ncd_screen ON  ncd_person_ncd_screen.pid = person.pid
 INNER JOIN persondeath ON  person.pid = persondeath.pid
 WHERE ncd_person_ncd_screen.screen_date > persondeath.deaddate;